Attribute VB_Name = "VbCreateProcess"
Option Explicit

Private Type PROCESS_INFORMATION
  hProcess As Long
  hThread As Long
  dwProcessId As Long
  dwThreadId As Long
End Type

Private Type STARTUPINFO
  cb As Long
  lpReserved As String
  lpDesktop As String
  lpTitle As String
  dwX As Long
  dwY As Long
  dwXSize As Long
  dwYSize As Long
  dwXCountChars As Long
  dwYCountChars As Long
  dwFillAttribute As Long
  dwFlags As Long
  wShowWindow As Integer
  cbReserved2 As Integer
  lpReserved2 As Long
  hStdInput As Long
  hStdOutput As Long
  hStdError As Long
End Type

Private Declare Function CreateProcess Lib "kernel32" _
  Alias "CreateProcessA" _
  (ByVal lpApplicationName As String, _
   ByVal lpCommandLine As String, _
         lpProcessAttributes As Any, _
         lpThreadAttributes As Any, _
   ByVal bInheritHandles As Long, _
   ByVal dwCreationFlags As Long, _
         lpEnvironment As Any, _
   ByVal lpCurrentDirectory As String, _
         lpStartupInfo As STARTUPINFO, _
         lpProcessInformation As PROCESS_INFORMATION) As Long
Sub Testme()
Launch "calc.exe"
End Sub
Public Sub Launch(AppString)
'
' Launch Macro
' CreateProcess wrapper
'
Dim pInfo As PROCESS_INFORMATION
Dim sInfo As STARTUPINFO
Dim sNull As String
Dim lSuccess As Long
Dim lRetValue As Long
Dim hAcadWin As Long
Dim strApptoRun As String
Dim strStartDir As String
Dim strAcadDrive As String
Dim strAcadDir As String
Dim res As Integer
sInfo.dwFlags = 0
Const NORMAL_PRIORITY_CLASS = &H20&
Const CREATE_NEW_CONSOLE = &H10&

lSuccess = CreateProcess(lpApplicationName:=sNull, _
                         lpCommandLine:=AppString, _
                         lpProcessAttributes:=ByVal 0&, _
                         lpThreadAttributes:=ByVal 0&, _
                         bInheritHandles:=0&, _
                         dwCreationFlags:=NORMAL_PRIORITY_CLASS Or CREATE_NEW_CONSOLE, _
                         lpEnvironment:=ByVal 0&, _
                         lpCurrentDirectory:=strStartDir, _
                         lpStartupInfo:=sInfo, _
                         lpProcessInformation:=pInfo)
'res = TerminateProcess(lSuccess, 0)
    'MsgBox "Launch: " + Str$(lSuccess) + "/" + Str$(res)
End Sub

